%define         aud_ver 1.5.1
%global momorel 2

Name:           audacious-plugins
Version:        1.5.1
Release:        %{momorel}m%{?dist}
Summary:        Plugins for the Audacious media player

Group:          Applications/Multimedia
License:        GPL
URL:            http://audacious-media-player.org/
Source0:        http://distfiles.atheme.org/audacious-plugins-%{version}.tbz2
NoSource: 0
Source1:        audacious-plugins.desktop
Patch0:         audacious-plugins-1.2.2-cddb-buffer.patch
Patch1:         audacious-plugins-1.4.1-neon-locking.patch
Patch2:         audacious-plugins-1.4.4-gcc43.patch
Patch3:         audacious-plugins-1.5.1-libmtp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2.9
BuildRequires:  alsa-lib-devel
BuildRequires:  arts-devel
BuildRequires:  audacious-devel >= %{aud_ver}
BuildRequires:  curl-devel
BuildRequires:  desktop-file-utils >= 0.9
BuildRequires:  esound-devel >= 0.2
BuildRequires:  file
BuildRequires:  flac-devel >= 1.1.2
BuildRequires:  fluidsynth-devel
BuildRequires:  gettext
BuildRequires:  jack-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libbinio-devel
BuildRequires:  libmms-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmowgli >= 0.5.0
BuildRequires:  libmpcdec-devel >= 1.2.6
BuildRequires:  libmtp-devel >= 0.3.3
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libnotify-devel
BuildRequires:  libogg-devel >= 1.0
BuildRequires:  libsamplerate-devel
BuildRequires:  libvisual-devel >= 0.2
BuildRequires:  libvorbis-devel >= 1.0
BuildRequires:  lirc-devel
BuildRequires:  mcs-devel >= 0.7.0
BuildRequires:  neon-devel >= 0.28.2
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  wavpack-devel >= 4.31
BuildRequires:  zlib-devel

Requires:       audacious >= %{aud_ver}

Requires(post):   desktop-file-utils >= 0.9, /sbin/ldconfig
Requires(postun): desktop-file-utils >= 0.9, /sbin/ldconfig

Obsoletes:      audacious-plugins-pulseaudio <= 1.3.5
Provides:       audacious-plugins-pulseaudio = %{version}

%description
Audacious is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
BMP.
This package provides essential plugins for audio input, audio output
and visualization.


%package        jack
Summary:        Audacious output plugin for JACK sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-jack <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    jack
This package provides an Audacious output plugin that uses the
JACK sound service.


%package        esd
Summary:        Audacious output plugin for esd sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-esd <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    esd
This package provides an Audacious output plugin that uses the
ESD sound server.


%package        arts
Summary:        Audacious output plugin for KDE arts sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-arts <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    arts
This package provides an Audacious output plugin that uses the
KDE arts sound server.


%package        amidi
Summary:        Audacious imput plugin for amidi
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    amidi
This package provides an Audacious input plugin that uses the
amidi sound service.



%package        wavpack
Summary:        Audacious imput plugin for wavpack
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    wavpack
This package provides an Audacious input plugin that reads WavPack
compressed files.



%package        metronome
Summary:        Audacious imput plugin simulating a metronome
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    metronome
This package provides an Audacious input plugin that simulates
a metronome.



%package        vortex
Summary:        Audacious imput plugin for vortex audio files
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    vortex
This package provides an Audacious input plugin that reads
vortex compressed files.



%prep
%setup -q 

# Fix incorrect use of sprintf in the cdaudio plugin
# %patch0 -p1 -b .cddb-buffer

# Fix locking issues in the neon plugin
# %patch1 -p1 -b .neon-locking

# Fix regressions due to stricter GCC 4.3 checking
# %patch2 -p1 -b .gcc43

# Use libmtp 0.3
%patch3 -p1 -b .libmtp

perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%build
%configure \
    --disable-rpath \
    --enable-gconf \
    --disable-gnome-vfs \
    --enable-chardet \
    --disable-dependency-tracking \
    --enable-amidiplug \
    --disable-amidiplug-dummy \
    --disable-sse2 \
    --enable-neon

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

#desktop-file-install --vendor  \
#    --dir %{buildroot}%{_datadir}/applications   \
#    %{SOURCE1}

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%dir %{_libdir}/audacious
%{_libdir}/audacious/Input
%{_libdir}/audacious/Output
%{_libdir}/audacious/Container
%{_libdir}/audacious/Effect
%{_libdir}/audacious/General
%{_libdir}/audacious/Visualization
%{_libdir}/audacious/Transport
%exclude %{_libdir}/audacious/Input/amidi-plug.so
%exclude %{_libdir}/audacious/Input/wavpack.so
%exclude %{_libdir}/audacious/Input/metronom.so
%exclude %{_libdir}/audacious/Input/vtx.so
%exclude %{_libdir}/audacious/Output/jackout.so
%exclude %{_libdir}/audacious/Output/arts.so
%exclude %{_libdir}/audacious/Output/ESD.so
#%{_datadir}/applications/audacious-plugins.desktop
%{_datadir}/audacious/images/audioscrobbler.png
%{_datadir}/audacious/images/audioscrobbler_badge.png
# %{_datadir}/audacious-plugins
%{_datadir}/audacious/paranormal

%files jack
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/jackout.so

%files arts
%defattr(-,root,root,-)
%{_bindir}/audacious-arts-helper
%{_libdir}/audacious/Output/arts.so

%files esd
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/ESD.so

%files amidi
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/amidi-plug.so
# %{_libdir}/audacious/amidi-plug

%files wavpack
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/wavpack.so

%files metronome
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/metronom.so

%files vortex
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/vtx.so


%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.1-2m)
- rebuild against rpm-4.6

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.1-1m)
- update to 1.5.1
- sync with Fedora devel (enable to build with new libmtp)

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.0-5m)
- rebuild against gnutls-2.4.1 (neon)

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-4m)
- rebuild against libmpcdec-1.2.6
- sort BR

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.0-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-2m)
- rebuild against gcc43

* Wed Apr 02 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5.0-1m)
- updated to 1.5.0
- BuildRequires: libmms-devel

* Sun Mar  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-2m)
- change BR from pulseaudio-devel to pulseaudio-libs-devel

* Tue Mar 04 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.4.5-1m)
- import to Momonga from Fedora

* Mon Feb 11 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.5-1
- Update to 1.4.5

* Fri Jan 02 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.4-2
- Fix compilation with GCC 4.3

* Wed Jan 02 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.4-1
- Update to 1.4.4

* Mon Dec 31 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3.2-1
- Update to 1.4.3.2

* Sun Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3.1-1
- Update to 1.4.3.1

* Sat Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3-1
- Update to 1.4.3

* Thu Dec 04 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-1
- Update to 1.4.2

* Thu Nov 22 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.1-3
- Fix some locking issues in the neon (HTTP/HTTPS stream) plugin

* Mon Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.1-1
- Update to 1.4.1

* Mon Oct 15 2007 Lubomir Kundrak <lkundrak@redhat.com 1.3.5-3
- Change BuildReq pulseaudio-devel to pulseaudio-libs-devel
- Fix the License tag

* Fri Aug 3 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.5-2
- Rebuild for clean upgrade path

* Sat Jun 9 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.5-1.fc8
- Update to 1.3.5

* Sat May 26 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.4-2.fc8
- Bump tag for rebuild

* Wed May 16 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.4-1.fc7
- Update to 1.3.4

* Sun Apr 22 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.3-2.fc7
- Introduce aud_ver variable into specfile

* Fri Apr 20 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.3-1.fc7
- Update to 1.3.3

* Sat Apr 07 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc7
- Update to 1.3.2

* Fri Apr 06 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-2.fc7
- Own %%{_datadir}/audacious

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-1.fc7
- Update to 1.3.1

* Sun Feb 18 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-6.fc7
- Rebuild against new FLAC libraries (for real, this time)

* Thu Feb 15 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-5.fc7
- Rebuild against new FLAC libraries

* Mon Jan 15 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-4.fc7
- Fix typo in BuildRequires

* Sat Dec 16 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-3.fc7
- Rebuild for new wavpack

* Sun Dec 03 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-2.fc7
- Disable sndfile, which causes a non-pausable wav plugin to
  be built

* Thu Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-1.fc7
- Update to 1.2.5
- Add audacious-plugins-wavpack for WavPack input plugin
- Drop cddb patch, included upstream

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc7
- Initial RPM build for FE
